Subject: Re: bug#46813: 27.0.91; Form `(subdirs . nil)' in .dir-locals.el does not protect subdirectories

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Feb 2021 20:19:55 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Sun, 28 Feb 2021 14:42:40 +0100
> 
> There were a whole bunch of different bugs in the .dir-locals.el code.
> The relevant commits are 8f0a2c84, 75f6b264 and possibly 117d58ace.
> 
> I think backporting the first two might be possible (they're tiny), but
> I don't think this is actually a regression in Emacs 27 -- this stuff
> didn't work in Emacs 26 either, if I remember correctly.  So I think
> backporting to Emacs 27 would be out of scope, since we're only fixing
> regressions (and really serious bugs) in Emacs 27 at this time.
> 
> But since the first two commits are really small and "obviously correct"
> (ahem), perhaps it's a good idea to do so anyway.  I have no opinion
> here, perhaps Eli has one?  (Added to the CCs.)

I don't object to backporting those two commits to emacs-27, if you
think those fixes are important to have in v27.2.

Thanks.